%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-beaver
Version:	33.0.0
Release:	1%{?dist}
Summary:	Python daemon that munches on logs and sends their contents to logstash.

Group:		Applications/System
License:	MIT
URL:			https://github.com/josegonzalez/python-beaver
Source0:	https://github.com/josegonzalez/%{name}/archive/%{version}.tar.gz
Source1:	beaver.conf

BuildArch:			noarch
BuildRequires:	python2-devel

Requires: python-conf_d

%description
Beaver provides an lightweight method for shipping local log files to Logstash.
It does this using redis, zeromq, tcp, udp, rabbit or stdout as the transport.
This means you’ll need a redis, zeromq, tcp, udp, amqp or stdin input somewhere
down the road to get the events.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_initddir}/
mkdir -p %{buildroot}%{_sysconfdir}/beaver/
install -p -m0755 contrib/beaver-el6-init.d %{buildroot}%{_initddir}/beaver
install -p -m0640 %{SOURCE1} %{buildroot}%{_sysconfdir}/beaver/conf

%files
%doc CHANGES.rst LICENSE.txt README.rst
%{_bindir}/beaver
%{_initddir}/beaver
%config(noreplace) %{_sysconfdir}/beaver/conf
%{python2_sitelib}/beaver
%{python2_sitelib}/Beaver-%{version}-py2.*.egg-info


%changelog
* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 33.0.0-1
- Initial package
